void main( void )
{
 //setup guy

 sp_base_walk(&current_sprite, 410);
 sp_speed(&current_sprite, 1);
 sp_brain(&current_sprite, 16);

 preload_seq(411);
 preload_seq(413);
 preload_seq(415);
 preload_seq(417);
 preload_seq(419);

wait(10);

if (&s5-jop == 1)
  {
   freeze(&temp2hold);
   freeze(&temp1hold);
   freeze(1);
   sp_dir(&temp2hold, 3);

    sp_dir(&temp1hold, 9);
   wait(700);

   say_stop("`#快看啊！有人下来了！",&temp2hold);
   wait(400);
   say_stop("大家好，我是丁克小森林。",1);
   wait(400);
    
   say_stop("`2啊，是你啊！我知道你。告诉我，你在外面看到什么人了吗？",&temp1hold);
   wait(400);
   sp_dir(1, 1);
   say_stop("外面？镇里吗？",1);
   wait(400);
   say_stop("`2是啊！我们的女儿还在外面！她会被杀害的！",&temp1hold);
   wait(400);
   say_stop("为什么？外面好像没什么危险的东西啊。",1);
   wait(400);
   say_stop("`#他们一定已经离开了，必须找到她，要是他们..",&temp2hold);
   wait(400);
   sp_dir(&temp1hold, 7);
   say_stop("`2不要这么说！在这里等着，我去去就回。",&temp1hold);
   move_stop(&temp1hold, 9, 530, 1);
   //hide man
   sp_nodraw(&temp1hold, 1);
  move_stop(&temp2hold, 6, 300, 1);
  wait(500);
  say_stop("`#我不能在知道女儿有危险的情况下就这么等着！", &temp2hold);
  wait(500);
  move_stop(&temp2hold, 6, 450, 1);
  move_stop(&temp2hold, 9, 530, 1);
  sp_active(&temp2hold, 0);
  unfreeze(1);
  sp_active(&temp1hold, 0);
  say("这个小镇好奇怪啊。", 1);
  &s5-jop = 2;
  }
}
